net.snowflake.client.core

## Enum Event.EventType

- java.lang.Object
- - java.lang.Enum<Event.EventType>
  - - net.snowflake.client.core.Event.EventType

All Implemented Interfaces:
  Serializable, Comparable<Event.EventType>

Enclosing class:
  Event

    public static enum Event.EventType
    extends Enum<Event.EventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NETWORK_ERROR`
`NONE`
`STATE_TRANSITION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDescription()`
`Class<? extends Event>` `getEventClass()`
`int` `getId()`
`static Event.EventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Event.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NETWORK_ERROR

    public static final Event.EventType NETWORK_ERROR

#### STATE_TRANSITION

    public static final Event.EventType STATE_TRANSITION

#### NONE

    public static final Event.EventType NONE

### Method Detail

#### values

    public static Event.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Event.EventType c : Event.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Event.EventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getId

    public int getId()

#### getDescription

    public String getDescription()

#### getEventClass

    public Class<? extends Event> getEventClass()